PHY_START_ANEG(9)

NAME
phy_start_aneg - start auto-negotiation for this PHY device

SYNOPSIS

int phy_start_aneg(struct phy_device * phydev);

ARGUMENTS

phydev
    the phy_device struct

DESCRIPTION

Sanitizes the settings (if we're not autonegotiating them), and then calls the driver's config_aneg function. If the PHYCONTROL Layer is operating, we change the state to reflect the beginning of Auto-negotiation or forcing.

COPYRIGHT